List Employees
/unified/hris/employees
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
This represents the employment status. If no clear mapping is available, then the raw value is returned.
activeallexcludedinactivenewHireon_leavependingretiredterminated
34 supported
activeinactiveallactiveinactiveallnewHireactiveinactiveactiveinactiveactiveterminatedon_leaveretiredexcludedThis represents the groups
28 supported
The unique identifier for groups
Group's name
Type of the group. Some underlying providers use this to differentiate between in-built and user created groups.
Represents the manager of the employee. Is also an employee.
29 supported
The unique identifier for employees
This represents the name of the employee
This represents the employee number
32 supported
This represents the first name of the employee
38 supported
This represents the last name of the employee
38 supported
When updated_at is provided, the emails query parameter is ignored.
41 supported
The email address
Whether the email address is primary
Set this value only for secondary email.
personal
The phones of the user
36 supported
The phone number
The type of phone number
mobilework
The extension of the phone number
This represents the date when the Employee was created
25 supported
This represents the date when the Employee was updated
24 supported
This represents the start date
29 supported
This represents the termination date
28 supported
This represents the name of the employee
39 supported
This represents the company
12 supported1 required
The unique identifier for companies
This represents the work location
18 supported
The city of the work address
The country of the work address
The unique identifier for locations
This represents the name of the location
The postal code of the work address
The state/province of the work address
The first line of work address
The second line of work address
This represents gender
22 supported
The employee's tags
2 supported
The tag's unique identifier
The tag's name
Select the product for which you want to retrieve the employees.
azure_active_directory
1 supported
Job title of the employee
22 supported
This represents the middle name of the employee
12 supported
1 supported
This represents the date when the Employee was created
ascdesc
1 supported
This represents the first name of the employee
ascdesc
1 supported
This represents the last name of the employee
ascdesc
1 supported
This represents the date when the Employee was updated
ascdesc
1 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Employees
The unique identifier for employees
42 supported
This represents the avatar
11 supported
This represents the company
12 supported
1 property
The unique identifier for companies
This represents the date when the Employee was created
25 supported
This represents date of birth
28 supported
The emails of the user
41 supported
3 properties
The email address
Whether the email address is primary
The type of email address
This represents the employee number
32 supported
This represents the employment status. If no clear mapping is available, then the raw value is returned.
activeinactivepending
34 supported
Represents a role or employment of the employee in the company
21 supported
15 properties
The unique identifier for employments
This represents the date when the employments was created
Represents the effective date of the employment
Employee associated with this employment
1 property
The unique identifier for employees
This represents the employment type
full_timepart_timecontractinternshiptemporarytraineevolunteerper_diem
Represents the end date of the employment
Represents why the employment ended
This represents the flsa status
Job title of the employee
This represents the pay currency
This represents the pay frequency
This represents the pay group
This represents the pay period
This represents the pay rate
This represents the date when the employments was updated
The unique identifier for the specific version of the resource.
1 supported
This represent ethnicity
6 supported
This represents the first name of the employee
38 supported
This represents gender
22 supported
This represents the groups
28 supported
3 properties
The unique identifier for groups
Group's name
Type of the group. Some underlying providers use this to differentiate between in-built and user created groups.
This represents the home location
18 supported
8 properties
The city of the home address
The country of the home address
The unique identifier for locations
This represents the name of the location
The postal code of the home address
The state/province of the home address
The first line of home address
The second line of home address
Job title of the employee
22 supported
This represents the last name of the employee
38 supported
Represents the manager of the employee. Is also an employee.
29 supported
2 properties
The unique identifier for employees
This represents the name of the employee
This represents marital status
9 supported
This represents the middle name of the employee
12 supported
This represents the name of the employee
39 supported
This represents the pay group
4 supported
1 property
The unique identifier for pay groups
The phones of the user
36 supported
3 properties
The extension of the phone number
The phone number
The type of phone number
Raw data returned from the remote API call.
This represents the ssn
5 supported
This represents the start date
29 supported
The employee's tags
2 supported
2 properties
The tag's unique identifier
The tag's name
This represents the termination date
28 supported
Represents the reason for termination
12 supported
Represents the type of termination. If no clear mapping exists, then raw value is returned.
voluntarydismissedredundancyend_of_contractretirementmutual
10 supported
This represents the date when the Employee was updated
24 supported
This represents the username
8 supported
This represents the work location
18 supported
8 properties
The city of the work address
The country of the work address
The unique identifier for locations
This represents the name of the location
The postal code of the work address
The state/province of the work address
The first line of work address
The second line of work address
curl -X GET 'https://api.truto.one/unified/hris/employees?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/hris/employees?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/hris/employees"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'hris',
'employees',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"hris",
"employees",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())